[Config] Restricted lead images to lead section
Open, HighPublic2 Story Points

Description

Deploy changes from https://phabricator.wikimedia.org/T87336 to all projects
Do not deploy prior to Dec 8. Test thoroughly on beta cluster to account for any possible bugs.

  • $wgPageImagesLeadSectionOnly should be set to true on beta cluster to allow testing for possible bugs
  • Verify we are okay with the beta cluster behaviour (Olga)
  • $wgPageImagesLeadSectionOnly should be set to true in production (initially to a single large wiki to avoid fallout - ca has been selected).
  • Wait 1-2 days to get a sense of impact on cawiki before setting`$wgPageImagesLeadSectionOnly` to true in production for all wikis. Remember that only newly edited pages will get updated with new page images.
  • After this happens images returned by pageimages will only come from the lead section of an article. When enabling be sure to check error logs, performance graphs and end results.
  • The change when merged should be announced on wikitech-l and mediawiki-api (or mediawiki-api-announce) (Olga)
  • Upon sign off a card should be created to remove the $wgPageImagesLeadSectionOnly config variable from the Page Images extension and make this the default behaviour of the extension.
Jdlrobson created this task.Dec 1 2016, 6:25 PM
Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptDec 1 2016, 6:25 PM
jhobs set the point value for this task to 1.Dec 1 2016, 9:16 PM
bmansurov edited the task description. (Show Details)Dec 1 2016, 9:16 PM
bmansurov removed the point value for this task.
jhobs set the point value for this task to 2.Dec 1 2016, 9:16 PM
bmansurov edited the task description. (Show Details)Dec 1 2016, 9:16 PM
jhobs triaged this task as "High" priority.Dec 1 2016, 9:16 PM
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptDec 1 2016, 9:16 PM
Jdlrobson edited the task description. (Show Details)
Jdlrobson changed the point value for this task from 2 to 1.
Jdlrobson edited the task description. (Show Details)
Jdlrobson added a subscriber: ovasileva.

We discussed in standup today that we would remove this from sprint as we cannot deploy this change this sprint while T87336 is not merged.

Change 335687 had a related patch set uploaded (by Jdlrobson):
Limit page images on beta cluster to images in the lead section

https://gerrit.wikimedia.org/r/335687

The patch is in the SWAT today for part 1 (beta cluster) - https://wikitech.wikimedia.org/w/index.php?title=Deployments&type=revision&diff=1447091&oldid=1445962
Should make this task easier for next sprint. Have not added to current sprint as this task will not be complete after the SWAT.

Change 335687 merged by jenkins-bot:
Limit page images on beta cluster to images in the lead section

https://gerrit.wikimedia.org/r/335687

@ovasileva you can now test the results on beta cluster by doing a search and checking which pages have page images and checking whether they appear in the lead section. Note the changes will take time to propagate so you will need to edit the page to generate the new page image for an article.

Impacted by change (now do not show page images):

Not impacted:

It appears to be working correctly, but I'm not sure how many pages this leads to have no page image (there is no going back when we deploy this to production!)

Jdlrobson edited the task description. (Show Details)Feb 3 2017, 12:33 AM
Jdlrobson removed a project: Patch-For-Review.
ovasileva edited the task description. (Show Details)Feb 21 2017, 5:28 PM
ovasileva changed the point value for this task from 1 to 2.
Jdlrobson edited the task description. (Show Details)Tue, Mar 14, 8:49 PM

Change 342696 had a related patch set uploaded (by Jdlrobson):
[operations/mediawiki-config] Restrict page images to lead section on cawiki

https://gerrit.wikimedia.org/r/342696

SWAT window overran today and I was unable to deploy this.

Jdlrobson edited the task description. (Show Details)Wed, Mar 15, 12:29 AM

Added to sprint 94 as

  1. it's high priority
  2. We already have existing Wikimedia-Site-Requests in the sprint so doing another swat in parallel makes no difference.
  3. I personally plan to do this as I would benefit from this in my personal apps and I want to be honest about that.
  4. We have tech debt that can be removed as a result of seeing this through to completion
Jdlrobson edited the task description. (Show Details)Wed, Mar 15, 3:05 AM

In swat window for today for cawiki.

Change 342696 merged by jenkins-bot:
[operations/mediawiki-config] Restrict page images to lead section on cawiki

https://gerrit.wikimedia.org/r/342696

Mentioned in SAL (#wikimedia-operations) [2017-03-15T23:25:22Z] <thcipriani@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: [[gerrit:342696|Restrict page images to lead section on cawiki]] T152115 (duration: 00m 42s)

This is deployed to cawiki now.
We'll have to wait a little as this rolls out.
This is blocked until @ovasileva approves.

I edited all the star wars episodes to force the generation of a new page image.
As you can see images beyond the lead are no longer shown, but now none of them show images as the only image in the lead is a free image.

@ovasileva do we want to/can we show free images in search or is this acceptable? (Please raise a new task if we want to enable free images there)
Before:


After:

Jdlrobson edited the task description. (Show Details)

Such a complicated "solution"... this is not a good use of developer time. T95026 is the only solution.

@Jdlrobson - no free images in search for now - I will test further later today/tomorrow, post the announcement and ping on here to deploy on all wikis

Looks good - some images are lost, but most of them were out of context in the first place.

Change 343733 had a related patch set uploaded (by Jdlrobson):
[operations/mediawiki-config] Restrict page images to lead section

https://gerrit.wikimedia.org/r/343733

Jdlrobson edited the task description. (Show Details)Mon, Mar 20, 7:50 PM

Change 343733 merged by jenkins-bot:
[operations/mediawiki-config] Restrict page images to lead section

https://gerrit.wikimedia.org/r/343733

Mentioned in SAL (#wikimedia-operations) [2017-03-20T23:54:10Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Restrict page images to lead section (T152115) (duration: 00m 43s)

Jdlrobson edited the task description. (Show Details)

You can see this in action here now: https://en.m.wikipedia.org/wiki/Star_Trek:_Deep_Space_Nine#/search - most of the search results have non-free images in the lead so an edit will make their page image disappear.

Nemo_bis removed a subscriber: Nemo_bis.Tue, Mar 21, 8:58 AM
phuedx assigned this task to ovasileva.Tue, Mar 21, 10:46 AM
ovasileva closed this task as "Resolved".Fri, Mar 24, 4:05 PM
ovasileva reopened this task as "Open".